# DataExchange
TKSTEPBase
StepBasic

# StepBasic_HArray1OfProductDefinition Class Reference

`#include <StepBasic_HArray1OfProductDefinition.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_HArray1OfProductDefinition (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepBasic_HArray1OfProductDefinition (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepBasic_ProductDefinition)&V)
Standard_EXPORT void | Init (const Handle(StepBasic_ProductDefinition)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepBasic_ProductDefinition)&Value)
const Handle_StepBasic_ProductDefinition & | Value (const Standard_Integer Index) const
Handle_StepBasic_ProductDefinition & | ChangeValue (const Standard_Integer Index)
const StepBasic_Array1OfProductDefinition & | Array1 () const
StepBasic_Array1OfProductDefinition & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_Array1OfProductDefinition | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_HArray1OfProductDefinition::StepBasic_HArray1OfProductDefinition | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepBasic_HArray1OfProductDefinition::StepBasic_HArray1OfProductDefinition | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepBasic_ProductDefinition)& | V
| ) |

## Member Function Documentation

const StepBasic_Array1OfProductDefinition& StepBasic_HArray1OfProductDefinition::Array1 | ( |  | ) | const

StepBasic_Array1OfProductDefinition& StepBasic_HArray1OfProductDefinition::ChangeArray1 | ( |  | ) |

Handle_StepBasic_ProductDefinition& StepBasic_HArray1OfProductDefinition::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepBasic_HArray1OfProductDefinition::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_HArray1OfProductDefinition::Init | ( | const Handle(StepBasic_ProductDefinition)& | V | ) |

Standard_Integer StepBasic_HArray1OfProductDefinition::Length | ( |  | ) | const

Standard_Integer StepBasic_HArray1OfProductDefinition::Lower | ( |  | ) | const

void StepBasic_HArray1OfProductDefinition::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepBasic_ProductDefinition)& | Value
| ) |

Standard_Integer StepBasic_HArray1OfProductDefinition::Upper | ( |  | ) | const

const Handle_StepBasic_ProductDefinition& StepBasic_HArray1OfProductDefinition::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepBasic_Array1OfProductDefinition StepBasic_HArray1OfProductDefinition::myArray `[private]`

The documentation for this class was generated from the following file:

- StepBasic_HArray1OfProductDefinition.hxx